# Fetch fiat currency amount limits on invoice creation

<mark style="color:green;">`POST`</mark> `https://app.thedex.cloud/api/v1/info/invoice/limit/fiat`

#### Headers

| Name                                             | Type   | Description                        |
| ------------------------------------------------ | ------ | ---------------------------------- |
| X-EX-APIKEY<mark style="color:red;">\*</mark>    | String | Your API key                       |
| X-EX-PAYLOAD<mark style="color:red;">\*</mark>   | String | Body to base64                     |
| X-EX-SIGNATURE<mark style="color:red;">\*</mark> | String | Encrypted body with the secret key |

#### Request Body (Empty JSON)

```json
{ }
```

**Request JSON attributes**

| Name | Type | Description |
| ---- | ---- | ----------- |
| -    | -    | -           |

**Response Body**

{% tabs %}
{% tab title="200 amount limitations in fiat currency" %}

```json
[
   {
      "fiatCurrency": "String",
      "minimalLimit": "String"
   }
]
```

Example:

```json
[
   {
      "fiatCurrency": "USD",
      "minimalLimit": "0.5000"
   },
   {
      "fiatCurrency": "EUR",
      "minimalLimit": "0.5000"
   },
   {
      "fiatCurrency": "UAH",
      "minimalLimit": "20.0000"
   }
]
```

{% endtab %}
{% endtabs %}

**Response JSON attributes:**

<table data-header-hidden><thead><tr><th width="231"></th><th width="127.33333333333331"></th><th></th></tr></thead><tbody><tr><td><strong>Name</strong></td><td><strong>Type</strong></td><td><strong>Requirenments</strong></td></tr><tr><td><code>"fiatCurrency"</code></td><td><code>String</code></td><td>Fiat currency. Reach out to accessed values to define attributes by link: <a href="fetch-currency-definitions"><code>/api/v1/info/currencies</code></a><br>attribute <code>"fiatCurrencies"</code></td></tr><tr><td><code>"minimalLimit"</code></td><td><code>String</code></td><td>Minimal limit in fiat currency to create invoice.</td></tr></tbody></table>

**Request Curl**

```powershell
curl --location --request POST 'https://app.thedex.cloud/api/v1/info/invoice/limit/fiat' \
--header 'X-EX-APIKEY: <string>' \
--header 'X-EX-PAYLOAD: <string>' \
--header 'X-EX-SIGNATURE: <string>' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data '{}'
```

**Example Curl**

```powershell
curl --location --request POST 'https://app.thedex.cloud/api/v1/info/invoice/limit/fiat' \
--header 'X-EX-APIKEY: abcd1234apikeyexample' \
--header 'X-EX-PAYLOAD: e30=' \
--header 'X-EX-SIGNATURE: a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8g9h0i1j2k3l4m5n6o7p8q9r0s1t2' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data '{}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thedex.cloud/documentation/informational/fetch-fiat-limits-in-invoices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
